## liblxqt 0.14.1

=== debian/changelog ===
liblxqt (0.14.1-4) unstable; urgency=medium

  * Added kfreebsd as non-linux to rules
  * New build dependency dh-exec
  * Don't install backlight things for hurd and kfreebsd
  * Prepared helper package

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 22:59:58 +0200

liblxqt (0.14.1-3) unstable; urgency=medium

  * Modified debian/rules for Hurd.

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 14:43:27 +0200

liblxqt (0.14.1-2) unstable; urgency=medium

  * Applied upstream CMakeLists patches for non-linux.

 -- Alf Gaida <agaida@siduction.org>  Sat, 27 Jul 2019 14:20:35 +0200

liblxqt (0.14.1-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.1.
  * Bumped minimum version libqt5xdg-dev (>= 3.3.1~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.1~)
  * Added new symbol

 -- Alf Gaida <agaida@siduction.org>  Sun, 24 Feb 2019 18:01:40 +0100

liblxqt (0.14.0-1) unstable; urgency=medium

  * Cherry-picking upstream version 0.14.0.
  * Added Build-Depends-Package: liblxqt0-dev to d/liblxqt0-dev.symbols
  * Dropped d/compat, use debhelper-compat = 12, no changes needed
  * Fixed years in d/copyright
  * Bumped minimum version libqt5xdg-dev (>= 3.3.0~)
  * Bumped minimum version libqt5xdgiconloader-dev (>= 3.3.0~)
  * Bumped minimum version lxqt-build-tools (>= 0.6.0~)
  * Removed obsolete PULL_TRANSLATIONS= OFF from dh_auto_configure
  * Added l10n-package, moved from lxqt-l10n
  * Added d/upstream/metadata

 -- Alf Gaida <agaida@siduction.org>  Sun, 27 Jan 2019 13:37:40 +0100
