=== debian/control ===
--- 
+++ 
@@ -6,7 +6,6 @@
 Section: libs
 Priority: optional
 Build-Depends: debhelper-compat (= 12),
-               dh-exec,
                libpolkit-qt5-1-dev,
                libqt5svg5-dev,
                libkf5windowsystem-dev,
@@ -26,7 +25,6 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          desktop-file-utils,
-#         lxqt-backlight-helper [linux-any],
          shared-mime-info
 Recommends: liblxqt-l10n
 Pre-Depends: ${misc:Pre-Depends}
@@ -65,17 +63,3 @@
 Replaces: liblxqt0 (<< 0.11.0)
 Description: Language package for liblxqt
  This package contains the l10n files needed by the liblxqt.
-
-
-# Package: lxqt-backlight-helper
-# Architecture: linux-any
-# Depends: ${shlibs:Depends},
-#         ${misc:Depends}
-# Description: LXQt backlight helper for linux
-#  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
-# technologies. It has been tailored for users who value simplicity, speed, and
-# an intuitive interface. Unlike most desktop environments, LXQt also works
-# fine with less powerful machines.
-# .
-# This package contains the backlight helper files needed by the linux LXQt
-# desktop environment.
