## liblxqt 0.15.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.6.0")
+set(LXQTBT_MINIMUM_VERSION "0.7.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.7.1")
-set(QTXDG_MINIMUM_VERSION "3.3.1")
+set(QT_MINIMUM_VERSION "5.10.0")
+set(QTXDG_MINIMUM_VERSION "3.5.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 0)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 14)
+set(LXQT_MINOR_VERSION 15)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0
@@ -25,11 +25,12 @@
 # patch-version as liblxqt - in real life it will be fine if every component
 # has it's own patch version within a major/minor life cyle.
 #
-set(LXQT_PATCH_VERSION 1)
+set(LXQT_PATCH_VERSION 0)
 set(LXQT_VERSION ${LXQT_MAJOR_VERSION}.${LXQT_MINOR_VERSION}.${LXQT_PATCH_VERSION})
 
 
 option(UPDATE_TRANSLATIONS "Update source translation translations/*.ts files" OFF)
+option(BUILD_BACKLIGHT_LINUX_BACKEND "Build the Linux backend for the backlight" ON)
 
 set(CMAKE_INCLUDE_CURRENT_DIR ON)
 set(CMAKE_POSITION_INDEPENDENT_CODE ON)
@@ -38,17 +39,25 @@
 set(CMAKE_AUTOUIC ON)
 
 find_package(lxqt-build-tools ${LXQTBT_MINIMUM_VERSION} REQUIRED)
-find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus X11Extras LinguistTools)
+find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED Widgets DBus LinguistTools)
 find_package(Qt5Xdg ${QTXDG_MINIMUM_VERSION} REQUIRED)
 find_package(KF5WindowSystem ${KF5_MINIMUM_VERSION} REQUIRED)
-find_package(PolkitQt5-1 REQUIRED)
-find_package(X11 REQUIRED)
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    find_package(PolkitQt5-1 REQUIRED)
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
+if (NOT APPLE)
+    find_package(Qt5 ${QT_MINIMUM_VERSION} CONFIG REQUIRED X11Extras)
+    find_package(X11 REQUIRED)
+endif()
 message(STATUS "Building ${PROJECT_NAME} with Qt ${Qt5Core_VERSION}")
 
 include(CMakePackageConfigHelpers)
 include(GNUInstallDirs) # Standard directories for installation
 
-add_subdirectory(lxqtbacklight/linux_backend/driver)
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    add_subdirectory(lxqtbacklight/linux_backend/driver)
+    add_definitions(-DUSE_BACKLIGHT_LINUX_BACKEND)
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 
 set(LXQT_PKG_CONFIG_DESCRIPTION "Shared library for LXQt applications")
 
@@ -57,7 +66,6 @@
     lxqtsettings.h
     lxqtplugininfo.h
     lxqtpowermanager.h
-    lxqtscreensaver.h
     lxqtapplication.h
     lxqtsingleapplication.h
     lxqttranslator.h
@@ -78,12 +86,17 @@
     #lxqtbacklight/linux_backend/linuxbackend.h
 )
 
+if (NOT APPLE)
+    list (APPEND PUB_HDRS
+        lxqtscreensaver.h
+    )
+endif (NOT APPLE)
+
 set(PUBLIC_CLASSES
     HtmlDelegate
     Settings
     PluginInfo
     PowerManager
-    ScreenSaver
     Application
     SingleApplication
     Translator
@@ -101,13 +114,17 @@
     Globals
     Backlight
 )
+if (NOT APPLE)
+    list (APPEND PUBLIC_CLASSES
+        ScreenSaver
+    )
+endif (NOT APPLE)
 
 set(SRCS
     lxqthtmldelegate.cpp
     lxqtplugininfo.cpp
     lxqtpowermanager.cpp
     lxqtsettings.cpp
-    lxqtscreensaver.cpp
     lxqtapplication.cpp
     lxqtsingleapplication.cpp
     lxqttranslator.cpp
@@ -125,14 +142,24 @@
     lxqtrotatedwidget.cpp
     lxqtbacklight.cpp
     lxqtbacklight/virtual_backend.cpp
-    lxqtbacklight/linux_backend/linuxbackend.cpp
-)
+)
+
+if (NOT APPLE)
+    list (APPEND SRCS
+        lxqtscreensaver.cpp
+    )
+endif (NOT APPLE)
+
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    list (APPEND SRCS
+        lxqtbacklight/linux_backend/linuxbackend.cpp
+    )
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 
 set(MOCS
     lxqthtmldelegate.h
     lxqtpowermanager.h
     lxqtsettings.h
-    lxqtscreensaver.h
     lxqtapplication.h
     lxqtbacklight.h
 
@@ -147,8 +174,19 @@
     lxqtgridlayout.h
     lxqtrotatedwidget.h
     lxqtbacklight/virtual_backend.h
-    lxqtbacklight/linux_backend/linuxbackend.h
-)
+)
+
+if (NOT APPLE)
+    list (APPEND MOCS
+        lxqtscreensaver.h
+    )
+endif (NOT APPLE)
+
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    list (APPEND SRCS
+        lxqtbacklight/linux_backend/linuxbackend.h
+    )
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 
 set(FORMS
     configdialog/lxqtconfigdialog.ui
@@ -177,7 +215,11 @@
 list(APPEND SRCS "${DBUS_INTERFACE_SRCS}" "${DBUS_ADAPTOR_SRCS}")
 
 # KF5WindowSystem is missing here. KF5WindowSystem doesn't provide an .pc file.
-set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
+set(LXQT_PKG_CONFIG_REQUIRES "Qt5Xdg >= ${QTXDG_MINIMUM_VERSION}, Qt5Widgets >= ${QT_MINIMUM_VERSION}, Qt5Xml >= ${QT_MINIMUM_VERSION}, Qt5DBus >= ${QT_MINIMUM_VERSION}")
+
+if (NOT APPLE)
+    set(LXQT_PKG_CONFIG_REQUIRES "${LXQT_PKG_CONFIG_REQUIRES}, Qt5X11Extras >= ${QT_MINIMUM_VERSION}")
+endif (NOT APPLE)
 
 
 # Standard directories for installation
@@ -282,12 +324,18 @@
         KF5::WindowSystem
         Qt5::Widgets
         Qt5::DBus
-        Qt5::X11Extras
         Qt5Xdg
-    PRIVATE
-        ${X11_Xscreensaver_LIB}
-        ${X11_X11_LIB}
-)
+)
+
+if (NOT APPLE)
+    target_link_libraries(${LXQT_LIBRARY_NAME}
+        PUBLIC
+            Qt5::X11Extras
+        PRIVATE
+            ${X11_Xscreensaver_LIB}
+            ${X11_X11_LIB}
+    )
+endif (NOT APPLE)
 
 set_target_properties(${LXQT_LIBRARY_NAME} PROPERTIES
     VERSION   ${LXQT_VERSION}
@@ -306,13 +354,9 @@
         "LXQT_INSTALL_PREFIX=\"${CMAKE_INSTALL_PREFIX}\""
         "LXQT_VERSION=\"${LXQT_VERSION}\""
         "COMPILE_LIBLXQT"
-        "QT_USE_QSTRINGBUILDER"
-        "QT_NO_CAST_FROM_ASCII"
-        "QT_NO_CAST_TO_ASCII"
-        "QT_NO_URL_CAST_FROM_STRING"
-        "QT_NO_CAST_FROM_BYTEARRAY"
         "$<$<CONFIG:Release>:QT_NO_DEBUG_OUTPUT>"
         "$<$<CONFIG:Release>:QT_NO_WARNING_OUTPUT>"
+        "QT_NO_KEYWORDS"
 )
 
 if (Qt5Core_VERSION VERSION_LESS "5.9.0")
@@ -363,19 +407,12 @@
     COMPONENT Runtime
 )
 
-install(FILES ${POLKIT_FILES} DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
+if (BUILD_BACKLIGHT_LINUX_BACKEND)
+    install(FILES ${POLKIT_FILES} DESTINATION "${POLKITQT-1_POLICY_FILES_INSTALL_DIR}")
+endif (BUILD_BACKLIGHT_LINUX_BACKEND)
 
 #************************************************
 # Create and install pkgconfig file
 #************************************************
 lxqt_create_pkgconfig_file(
     PACKAGE_NAME ${LXQT_LIBRARY_NAME}
-    DESCRIPTIVE_NAME ${LXQT_LIBRARY_NAME}
-    DESCRIPTION ${LXQT_PKG_CONFIG_DESCRIPTION}
-    INCLUDEDIRS ${LXQT_LIBRARY_NAME}
-    LIBS ${LXQT_LIBRARY_NAME}
-    REQUIRES ${LXQT_PKG_CONFIG_REQUIRES}
-    VERSION ${LXQT_VERSION}
-    INSTALL
-)
-#************************************************
