=== debian/changelog ===
liblxqt (0.15.0-0ubuntu1) groovy; urgency=medium

  * New upstream release.
    - Remove upstream patches fixing Mac OS X and Hurd builds.
    - Update upstream signing key.
    - Bump LXQt build dependencies.
    - Update symbols from amd64 build logs.
  * Run wrap-and-sort.
  * Add libkf5windowsystem-dev to build dependencies.
  * Full copyright update.
  * Remove unneeded lxqt-l10n Conflicts/Replaces.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 03 Jun 2020 23:19:19 -0500

liblxqt (0.14.1-4ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - New upstream version 0.14.1-4.
    - Bumped standards version to 4.5.0.
    - Using debhelper-compat ( =12).
    - Added new build dependency dh-exec.
    - Updated rules.
    - Updated copyrights.
    - Added upstream metadata.
    - Added upstream patches fix-hurd-ftbfs and fix-osx-ftbfs.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Tue, 07 Apr 2020 21:20:31 +0530

liblxqt (0.14.1-0ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:46:08 +0100

liblxqt (0.14.1-0ubuntu1) disco; urgency=medium

  * New upstream release.
  * Bump build dependency on libqtxdg.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 08 Mar 2019 23:11:56 -0600

liblxqt (0.14.0-0ubuntu3) disco; urgency=medium

  * Add Breaks/Replaces on the old liblxqt-l10n package.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 26 Jan 2019 10:08:54 -0600

liblxqt (0.14.0-0ubuntu2) disco; urgency=medium

  * Add a liblxqt-l10n binary package for translations.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:36:37 -0600

liblxqt (0.14.0-0ubuntu1) disco; urgency=medium

  * New upstream release.
    - Bump build dependencies.
  * Bump Standards-version to 4.3.0, no changes needed.
  * Bump debhelper compat to 12, no changes needed.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 25 Jan 2019 22:20:23 -0600

liblxqt (0.13.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release.
  * Update Vcs-* and Maintainer to Lubuntu values.
  * Update copyright.
  * Run wrap-and-sort.
  * Update build and runtime dependencies.
  * Update liblxqt0.install for the new release.
  * Update symbols from build log.
  * Remove Multi-Arch: same from liblxqt0 because it now contains an
    architecture-specific file.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 21 May 2018 22:45:48 -0500
