## liblxqt 0.16.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.7.0")
+set(LXQTBT_MINIMUM_VERSION "0.8.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.10.0")
+set(QT_MINIMUM_VERSION "5.12.0")
 set(QTXDG_MINIMUM_VERSION "3.5.0")
 
 # Major LXQt Version, belong to all components
 set(LXQT_MAJOR_VERSION 0)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 15)
+set(LXQT_MINOR_VERSION 16)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0
@@ -359,21 +359,6 @@
         "QT_NO_KEYWORDS"
 )
 
-if (Qt5Core_VERSION VERSION_LESS "5.9.0")
-    if (NOT DEFINED WITH_XDG_DIRS_FALLBACK)
-        set(WITH_XDG_DIRS_FALLBACK ON)
-    endif ()
-elseif (WITH_XDG_DIRS_FALLBACK)
-    set(WITH_XDG_DIRS_FALLBACK OFF)
-    message(WARNING "Disabling requested WITH_XDG_DIRS_FALLBACK workaround, as proper implementation is in Qt from v5.9.0")
-endif ()
-if (WITH_XDG_DIRS_FALLBACK)
-    message(STATUS "Building with homemade QSettings XDG fallback workaround")
-    target_compile_definitions(${LXQT_LIBRARY_NAME}
-        PRIVATE "WITH_XDG_DIRS_FALLBACK"
-    )
-endif ()
-
 target_include_directories(${LXQT_LIBRARY_NAME}
     INTERFACE
         "$<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}/${LXQT_LIBRARY_NAME}>"
@@ -416,3 +401,12 @@
 #************************************************
 lxqt_create_pkgconfig_file(
     PACKAGE_NAME ${LXQT_LIBRARY_NAME}
+    DESCRIPTIVE_NAME ${LXQT_LIBRARY_NAME}
+    DESCRIPTION ${LXQT_PKG_CONFIG_DESCRIPTION}
+    INCLUDEDIRS ${LXQT_LIBRARY_NAME}
+    LIBS ${LXQT_LIBRARY_NAME}
+    REQUIRES ${LXQT_PKG_CONFIG_REQUIRES}
+    VERSION ${LXQT_VERSION}
+    INSTALL
+)
+#************************************************
