=== debian/changelog ===
liblxqt (0.16.0-1) unstable; urgency=medium

  [ Alf Gaida ]
  * Switched to gbp
  * Bumped Standards-Version to 4.4.0, no changes needed.

  [ Andrew Lee (李健秋) ]
  * New upstream release. (Closes: #964658)
  * Drop backported upstream patches.
  * Refresh debian/liblxqt0.symbols file.

 -- Andrew Lee (李健秋) <ajqlee@debian.org>  Tue, 05 Jan 2021 17:23:10 +0800
