=== debian/control ===
Source: liblxqt
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-exec,
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libkf5windowsystem-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.3.1~),
               libqt5xdgiconloader-dev (>= 3.3.1~),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.6.0~)
Standards-Version: 4.4.0
Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt

Package: liblxqt0
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         desktop-file-utils,
#         lxqt-backlight-helper [linux-any],
         shared-mime-info
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         liblxqt0 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.1.0),
         libqt5xdgiconloader-dev (>= 3.1.0),
         lxqt-build-tools (>= 0.5.0~)
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: ${misc:Depends},
         qttranslations5-l10n
Breaks: liblxqt0 (<< 0.11.0)
Replaces: liblxqt0 (<< 0.11.0)
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.


# Package: lxqt-backlight-helper
# Architecture: linux-any
# Depends: ${shlibs:Depends},
#         ${misc:Depends}
# Description: LXQt backlight helper for linux
#  LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
# technologies. It has been tailored for users who value simplicity, speed, and
# an intuitive interface. Unlike most desktop environments, LXQt also works
# fine with less powerful machines.
# .
# This package contains the backlight helper files needed by the linux LXQt
# desktop environment.
