=== debian/changelog ===
liblxqt (0.17.0-1~mx21+1) mx; urgency=medium

  * Initial packaging of upstream release for MX-21.

 -- SwampRabbit <swamprabbit@mxlinux.org>  Tue, 11 Jan 2022 10:40:11 -0500

liblxqt (0.17.0-0ubuntu1) impish; urgency=medium

  * New upstream version 0.17.0
  * Update debian/control
    - Use debhelper-compat 13
    - Use libqtxdg-dev and libqtxdgiconloader-dev 3.7.1
    - Use lxqt-build-tools 0.9.0
  * Run wrap-and-sort
    - Remove lxqt-backlight-helper from debian/control
  * Renamed tag for lintian override
  * Update symbols
    - Add new symbols
    - Demangle existing symbols
  * Update debian/copyright

 -- apt-ghetto <apt-ghetto@protonmail.com>  Mon, 09 Aug 2021 11:12:06 +0200

liblxqt (0.16.0-1ubuntu2) hirsute; urgency=medium

  * Dropped symbol failing on s390x. 

 -- Walter Lapchynski <wxl@ubuntu.com>  Wed, 03 Feb 2021 16:15:06 -0800

liblxqt (0.16.0-1ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Bumped standards-version to 4.5.1
  * Ignore the old upstream signing key from Debian.

 -- Raman Sarda <theloudspeaker@lubuntu.me>  Sat, 23 Jan 2021 10:00:11 +0530
