=== debian/control ===
Source: liblxqt
Maintainer: SwampRabbit <swamprabbit@mxlinux.org>
XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           ChangZhuo Chen (陳昌倬) <czchen@debian.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-exec,
               libkf5windowsystem-dev (>= 5.36.0),
               libpolkit-qt5-1-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libqt5xdg-dev (>= 3.7.1),
               libqt5xdgiconloader-dev (>= 3.7.1),
               libx11-dev,
               libxss-dev,
               lxqt-build-tools (>= 0.9.0)
Standards-Version: 4.5.1
Vcs-Browser: https://phab.lubuntu.me/source/liblxqt/
Vcs-Git: https://phab.lubuntu.me/source/liblxqt.git
XS-Debian-Vcs-Browser: https://salsa.debian.org/lxqt-team/liblxqt
XS-Debian-Vcs-Git: https://salsa.debian.org/lxqt-team/liblxqt.git
Homepage: https://github.com/lxqt/liblxqt

Package: liblxqt0
Architecture: any
Depends: desktop-file-utils,
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: liblxqt-l10n
Pre-Depends: ${misc:Pre-Depends}
Description: Shared libraries for LXQt desktop environment (libs)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contains the shared libraries needed by the LXQt desktop
 environment.

Package: liblxqt0-dev
Architecture: any
Section: libdevel
Depends: liblxqt0 (= ${binary:Version}),
         libqt5xdg-dev (>= 3.2.0),
         libqt5xdgiconloader-dev (>= 3.2.0),
         lxqt-build-tools (>= 0.5.0~),
         ${misc:Depends}
Description: Shared libraries for LXQt desktop environment (dev)
 LXQt is an advanced, easy-to-use, and fast desktop environment based on Qt
 technologies. It has been tailored for users who value simplicity, speed, and
 an intuitive interface. Unlike most desktop environments, LXQt also works
 fine with less powerful machines.
 .
 This package contain the development files.

Package: liblxqt-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: liblxqt0 (<< 0.11.0)
Replaces: liblxqt0 (<< 0.11.0)
Description: Language package for liblxqt
 This package contains the l10n files needed by the liblxqt.
