## liblxqt 1.1.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,15 +7,15 @@
 project(liblxqt)
 
 
-set(LXQTBT_MINIMUM_VERSION "0.9.0")
+set(LXQTBT_MINIMUM_VERSION "0.11.0")
 set(KF5_MINIMUM_VERSION "5.36.0")
-set(QT_MINIMUM_VERSION "5.12.0")
-set(QTXDG_MINIMUM_VERSION "3.7.0")
+set(QT_MINIMUM_VERSION "5.15.0")
+set(QTXDG_MINIMUM_VERSION "3.9.0")
 
 # Major LXQt Version, belong to all components
-set(LXQT_MAJOR_VERSION 0)
+set(LXQT_MAJOR_VERSION 1)
 # Minor LXQt Version, belong to all components
-set(LXQT_MINOR_VERSION 17)
+set(LXQT_MINOR_VERSION 1)
 #
 # Patch Version, belong *only* to the component
 # LXQt is 0.13 - liblxqt is at patch version 0
