=== debian/changelog ===
liblxqt (1.1.0-1~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 02 Sep 2022 14:45:52 -0700

liblxqt (1.1.0-1) experimental; urgency=medium

  * New upstream release.
  * Rename liblxqt0 -> liblxqt1.
  * Bump Standards-version, no changes needed.
  * Bump debhelper compat to 13, no changes needed.
  * Add my name to Uploaders.
  * Run wrap-and-sort.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 28 Jun 2022 23:54:37 -0500
