=== debian/rules ===
--- 
+++ 
@@ -18,9 +18,6 @@
 %:
 	dh ${@} --buildsystem cmake
 
-override_dh_strip:
-	dh_strip --no-automatic-dbgsym
-
 override_dh_missing:
 	dh_missing --fail-missing
 
@@ -29,3 +26,7 @@
 		-DUPDATE_TRANSLATIONS=OFF \
 		-DCMAKE_BUILD_TYPE=RelWithDebInfo \
 		$(NOT_LINUX)
+
+# No dbgsym package:
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym
